List Endpoints
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoints \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/endpoints"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoints": [
{
"id": "<string>",
"name": "<string>",
"appName": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"url": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": "<string>",
"maxConcurrent": "<string>",
"gpuNum": 123,
"requestTimeout": 123,
"cudaVersion": "<string>"
},
"policy": {
"type": "<string>",
"value": "<string>"
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"id": "<string>",
"size": 123,
"mountPath": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"ports": [
{
"port": "<string>"
}
],
"workers": [
{
"id": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"log": "<string>",
"metrics": "<string>",
"healthy": true
}
],
"products": [
{
"id": "<string>"
}
],
"healthy": {
"path": "<string>",
"initialDelay": 123,
"period": 123,
"timeout": 123,
"successThreshold": 123,
"failureThreshold": 123
},
"clusterID": "<string>",
"log": "<string>"
}
],
"total": 123
}Serverless GPUs
List Endpoints
GET
/
gpu-instance
/
openapi
/
v1
/
endpoints
List Endpoints
Request Headers
string
必須
Enum:
application/jsonstring
必須
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
必須
Maximum number of items returned per page.
integer
必須
Current page number.
Response
object[]
必須
Endpoint information.
非表示 properties
非表示 properties
string
必須
Endpoint ID.
string
必須
Endpoint name.
string
必須
Application name.
object
必須
string
必須
Endpoint URL. You can access your HTTP service via this URL.
object
必須
object
必須
Auto-scaling policy for the endpoint.
非表示 properties
非表示 properties
string
必須
Policy type. Options:
queue: Queue latency policy, adjusts the number of workers based on the waiting time of requests in the queue.concurrency: Queue request policy, automatically adjusts the number of workers based on the number of requests in the queue.
string
必須
The meaning of value depends on the type:
- If type = queue, value is the queue waiting time in seconds.
- If type = concurrency, value is the maximum number of requests in the queue.
object
必須
integer
必須
System disk size.
object[]
必須
object[]
必須
object[]
必須
Worker information for the endpoint.
非表示 properties
非表示 properties
string
必須
Worker ID.
object
必須
string
必須
Log path for the worker.
string
必須
Monitoring information for the worker.
boolean
必須
Whether the worker is healthy.
object
必須
Health check configuration for the endpoint.
非表示 properties
非表示 properties
string
必須
Path to be checked via HTTP request for health monitoring.
integer
必須
Time to wait after startup before starting health checks, in seconds.
integer
必須
Interval between health checks, in seconds.
integer
必須
Timeout for health checks, in seconds.
integer
必須
Number of consecutive successes required to consider the check successful after a previous failure.
integer
必須
Number of consecutive failures required to consider the check failed after a previous success.
string
必須
Cluster ID where the cloud storage resides. Returned when using cloud storage.
string
必須
Log path for the endpoint.
integer
必須
Total number of results.
最終更新日 2026年5月15日
⌘I